# <p align="center">图像二值化处理</p>
## 运行库
cv2、matplotlib、PIL、rembg<br>
onnxruntime(rembg需要用到此库)
## rembg库
这个库可以对图像中的主体进行抠图处理，去掉背景仅保留人物/动物等。<br>
初次运行代码会自动下载v2net.onnx模型文件(必须)，模型文件大小为176M。安装这个模型需要进行魔法上网。<br>
rembg[`仓库`](https://github.com/danielgatis/rembg)地址
## 二值化处理
```c
_, binary_image = cv2.threshold(image, 1, 255, cv2.THRESH_BINARY)
```
将图像灰度值 > 1的像素变为255(白色)，也就是将抠图后保留的部分完全设为白色。其他区域像素全为0(黑色)。
## 结果展示
原图、抠图后的图片、二值化处理抠图后的图片的图片。<br>
![binarization](/result/result_All.png#pic_center)
## 致谢
感谢作者[`Bill FANG`](https://blog.csdn.net/qq_20157013/article/details/140489588)的文章《采用Python的rembg库去除图片背景》<br>
感谢[`rembg`](https://github.com/danielgatis/rembg)项目的每一个成员。